Debian Bug report logs - #620998
ruby1.9.1: FTBFS for openssl transition: ossl_ssl.c:110:1: error: 'SSLv2_method' undeclared here (not in a function)

version graph

Package: src:ruby1.9.1; Maintainer for src:ruby1.9.1 is Antonio Terceiro <terceiro@debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Tue, 5 Apr 2011 18:39:01 UTC

Severity: serious

Tags: patch

Found in version ruby1.9.1/1.9.2.180-2

Fixed in version ruby1.9.1/1.9.2.180-3

Done: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Bug is archived. No further changes may be made.

Forwarded to http://redmine.ruby-lang.org/issues/4556

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, akira yamada <akira@debian.org>:
Bug#620998; Package src:ruby1.9.1. (Tue, 05 Apr 2011 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, akira yamada <akira@debian.org>. (Tue, 05 Apr 2011 18:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ruby1.9.1: FTBFS for openssl transition: ossl_ssl.c:110:1: error: 'SSLv2_method' undeclared here (not in a function)
Date: Tue, 05 Apr 2011 20:36:33 +0200
Source: ruby1.9.1
Version: 1.9.2.180-2
Severity: serious
Justification: FTBFS

Hi,

giving back that package led to the following error, presumably for
the openssl transition:
| gcc -I. -I../../.ext/include/x86_64-kfreebsd-gnu -I../.././include -I../.././ext/openssl -DRUBY_EXTCONF_H=\"extconf.h\"    -fPIC -fno-strict-aliasing -g -g -O2 -fPIC  -o ossl_ssl.o -c ossl_ssl.c
| ossl_ssl.c:110:1: error: 'SSLv2_method' undeclared here (not in a function)
| ossl_ssl.c:111:1: error: 'SSLv2_server_method' undeclared here (not in a function)
| ossl_ssl.c:112:1: error: 'SSLv2_client_method' undeclared here (not in a function)
| make[2]: *** [ossl_ssl.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=ruby1.9.1

KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#620998; Package src:ruby1.9.1. (Wed, 06 Apr 2011 04:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 06 Apr 2011 04:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 620998@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 620998@bugs.debian.org
Subject: Re: ruby1.9.1: FTBFS for openssl transition: ossl_ssl.c:110:1: error: 'SSLv2_method' undeclared here (not in a function)
Date: Wed, 6 Apr 2011 13:53:28 +0900
[Message part 1 (text/plain, inline)]
tags 620998 patch
thanks

Hi,

I created the patch which revised this problem.
Please apply this patch.

Best regards,
  Nobuhiro
[620998.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 04:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#620998; Package src:ruby1.9.1. (Wed, 06 Apr 2011 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 06 Apr 2011 09:39:15 GMT) Full text and rfc822 format available.

Message #17 received at 620998@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 620998@bugs.debian.org
Subject: Re: Bug#620998: ruby1.9.1: FTBFS for openssl transition: ossl_ssl.c:110:1: error: 'SSLv2_method' undeclared here (not in a function)
Date: Wed, 6 Apr 2011 11:11:22 +0200
On 06/04/11 at 13:53 +0900, Nobuhiro Iwamatsu wrote:
> tags 620998 patch
> thanks
> 
> Hi,
> 
> I created the patch which revised this problem.
> Please apply this patch.

Hi,

What's upstream opinion about this?

- Lucas




Set Bug forwarded-to-address to 'http://redmine.ruby-lang.org/issues/4556'. Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 13:16:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#620998; Package src:ruby1.9.1. (Wed, 06 Apr 2011 14:02:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 06 Apr 2011 14:02:50 GMT) Full text and rfc822 format available.

Message #24 received at 620998@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 620998@bugs.debian.org
Subject: Re: Bug#620998: ruby1.9.1: FTBFS for openssl transition: ossl_ssl.c:110:1: error: 'SSLv2_method' undeclared here (not in a function)
Date: Wed, 6 Apr 2011 11:26:31 +0000
forwarded 620998 http://redmine.ruby-lang.org/issues/4556
thanks

Hi,

2011/4/6 Lucas Nussbaum <lucas@lucas-nussbaum.net>:
> On 06/04/11 at 13:53 +0900, Nobuhiro Iwamatsu wrote:
>> tags 620998 patch
>> thanks
>>
>> Hi,
>>
>> I created the patch which revised this problem.
>> Please apply this patch.
>
> Hi,
>
> What's upstream opinion about this?

I already reported to upstream[0].
But I do not get a reply.
I know each other servel commitors. I will talk about this.

Best regards,
  Nobuhiro

[0]; http://redmine.ruby-lang.org/issues/4556

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Added indication that bug 620998 blocks 622134 Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Sun, 10 Apr 2011 14:21:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Mon, 11 Apr 2011 13:45:14 GMT) Full text and rfc822 format available.

Reply sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
You have taken responsibility. (Tue, 12 Apr 2011 19:34:47 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Tue, 12 Apr 2011 19:34:47 GMT) Full text and rfc822 format available.

Message #33 received at 620998-close@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 620998-close@bugs.debian.org
Subject: Bug#620998: fixed in ruby1.9.1 1.9.2.180-3
Date: Tue, 12 Apr 2011 19:22:55 +0000
Source: ruby1.9.1
Source-Version: 1.9.2.180-3

We believe that the bug you reported is fixed in the latest version of
ruby1.9.1, which is due to be installed in the Debian FTP archive:

ri1.9.1_1.9.2.180-3_all.deb
  to main/r/ruby1.9.1/ri1.9.1_1.9.2.180-3_all.deb
ruby1.9.1-examples_1.9.2.180-3_all.deb
  to main/r/ruby1.9.1/ruby1.9.1-examples_1.9.2.180-3_all.deb
ruby1.9.1-full_1.9.2.180-3_all.deb
  to main/r/ruby1.9.1/ruby1.9.1-full_1.9.2.180-3_all.deb
ruby1.9.1_1.9.2.180-3.debian.tar.gz
  to main/r/ruby1.9.1/ruby1.9.1_1.9.2.180-3.debian.tar.gz
ruby1.9.1_1.9.2.180-3.dsc
  to main/r/ruby1.9.1/ruby1.9.1_1.9.2.180-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620998@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lucas Nussbaum <lucas@lucas-nussbaum.net> (supplier of updated ruby1.9.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Apr 2011 12:03:14 +0200
Source: ruby1.9.1
Binary: ruby1.9.1 libruby1.9.1 libruby1.9.1-dbg ruby1.9.1-dev libtcltk-ruby1.9.1 ruby1.9.1-examples ri1.9.1 ruby1.9.1-full
Architecture: source all
Version: 1.9.2.180-3
Distribution: unstable
Urgency: low
Maintainer: akira yamada <akira@debian.org>
Changed-By: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Description: 
 libruby1.9.1 - Libraries necessary to run Ruby 1.9.1
 libruby1.9.1-dbg - Debugging symbols for Ruby 1.9.1
 libtcltk-ruby1.9.1 - Tcl/Tk interface for Ruby 1.9.1
 ri1.9.1    - Ruby Interactive reference (for Ruby 1.9.1)
 ruby1.9.1  - Interpreter of object-oriented scripting language Ruby 1.9.2
 ruby1.9.1-dev - Header files for compiling extension modules for the Ruby 1.9.1
 ruby1.9.1-examples - Examples for Ruby 1.9
 ruby1.9.1-full - Ruby 1.9.1 full installation
Closes: 620998
Changes: 
 ruby1.9.1 (1.9.2.180-3) unstable; urgency=low
 .
   * Remove --with-lookup-order-hack=INET.  That breaks IPv6-only systems. See
     #619209
   * Drop ruby1.9.1-elisp. The Ruby emacs mode is now provided in emacs 23.
   * Add patch 110411_disable_osslv2.patch
     Disables SSLv2. Closes: #620998
   * Move the ri1.9.1 binary and manpage to the ruby1.9.1 package. ri1.9.1 still
     exists, but only contains the documentation. This is needed to
     fix #621058.
   * Make libruby1.9.1 Conflict, Replace irb1.9.1, rdoc1.9.1. fixes #608582
Checksums-Sha1: 
 997983eb2b5bf26d79573cc74b05fa85e92425c1 1581 ruby1.9.1_1.9.2.180-3.dsc
 a3447d1a2b4f3d8c79b412da423173a202fbb1a3 42215 ruby1.9.1_1.9.2.180-3.debian.tar.gz
 208b985e6c39515806a23c8fa08c0dfe24faf487 791028 ruby1.9.1-examples_1.9.2.180-3_all.deb
 8670a0673355a67e947e1f858dcaf709354a5cab 2061738 ri1.9.1_1.9.2.180-3_all.deb
 084d631a52c30676af409746e959eee10a12ce27 730054 ruby1.9.1-full_1.9.2.180-3_all.deb
Checksums-Sha256: 
 1fd87f3202fc7bc91a256882c67cbfd696f91166a405fc0efb99a57d35071c33 1581 ruby1.9.1_1.9.2.180-3.dsc
 9c0a9cddfba749ea6581a14fbf83db4792bab149f970ce814a2180a7d5f38d90 42215 ruby1.9.1_1.9.2.180-3.debian.tar.gz
 298b5f96d54448a519e4a7b1ddcccd4ed4cda655c3c2961ee6018c579e29b30d 791028 ruby1.9.1-examples_1.9.2.180-3_all.deb
 f0b739025861672e56b6b44d940e9752fabaa3e4368044426e96de127ccef743 2061738 ri1.9.1_1.9.2.180-3_all.deb
 e9dcda57441b878c7169e4895a34edfc8cae5e45c79e2fcdede59cb2c2b93b31 730054 ruby1.9.1-full_1.9.2.180-3_all.deb
Files: 
 e3821b42161fd5023778192d41eac846 1581 ruby optional ruby1.9.1_1.9.2.180-3.dsc
 aca583d2956a744d0533d78bf4fe5ba4 42215 ruby optional ruby1.9.1_1.9.2.180-3.debian.tar.gz
 36f0e5b62ee534513fa0a7f575865373 791028 ruby optional ruby1.9.1-examples_1.9.2.180-3_all.deb
 7dcb3c0843d9cf01304d4c4194c6e078 2061738 ruby optional ri1.9.1_1.9.2.180-3_all.deb
 0994c75e8672cc531a92134c8eefd12f 730054 ruby optional ruby1.9.1-full_1.9.2.180-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNpKJc2hliNwI7P08RArI4AKC6wewrreGowe+7TUd3RR6EfwMgtgCfU8q0
r0r+6XxA4X6eP2iUzxhmOcI=
=noUS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 May 2011 07:41:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:30:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.